<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
      PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
   "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="mapper.member">
  <select id="selectList" resultType="member">
    <![CDATA[
      select * from t_member	order by joinDate desc	 	
    ]]>
  </select>

  <insert id="insert" parameterType="member">
    <![CDATA[
      insert into t_member(id,pwd, name, email)
      values(#{id}, #{pwd}, #{name}, #{email})
    ]]>
  </insert>


  <update id="update" parameterType="member">
    <![CDATA[
      update t_member
      set pwd=#{pwd}, name=#{name}, email=#{email}
      where
      id=#{id}
    ]]>
  </update>

  <delete id="delete" parameterType="String">
    <![CDATA[
      delete from  t_member
      where
      id=#{id}
    ]]>
  </delete>
  <select id="loginById" resultType="member"
    parameterType="member">
    <![CDATA[
      select id, name, email, joinDate from t_member	
      where id=#{id} and pwd=#{pwd}		
    ]]>
  </select>
</mapper>